Page MenuHomePhabricator

VisualEditor: Empty transclusion editor is empty, needs some kind of reassuring message
Closed, ResolvedPublic1 Story Points

Description

When the transclusion editor is emptied out (e.g. by removing all the items), it should not just be blank. This looks broken and is confusing to the user (should I wait for something to appear? is it stuffed/errored out?)

There needs to be some kind of textual label in the empty transclusion editor, that makes two points:

  1. that the user can click [+] to add something to the transclusion
  2. that by clicking "apply changes", it will remove the transclusion

Version: unspecified
Severity: enhancement

Details

Reference
bz50281

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 2:10 AM
bzimport set Reference to bz50281.
TTO created this task.Jun 27 2013, 12:21 PM
TTO added a comment.Jun 29 2013, 7:18 AM

Created attachment 12684
Screenshot of bug

Just found this lovely screenshot that I meant to upload.

Attached:

  • Bug 51812 has been marked as a duplicate of this bug. ***
Jdforrester-WMF removed TrevorParscal as the assignee of this task.Mar 3 2015, 11:38 PM
Ankita-ks set Security to None.

Change 198131 had a related patch set uploaded (by Jforrester):
Fixed the empty Transclusion Box problem

https://gerrit.wikimedia.org/r/198131

Change 198131 merged by jenkins-bot:
Fixed the empty Transclusion Box problem

https://gerrit.wikimedia.org/r/198131